Skip to content

PeriodicMtg⁠

Perform various operations for Symitar parameters.

Operations⁠

getPeriodicMtgSelectFields⁠

POST

Execute the persistent ParameterService getPeriodicMtgSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getPeriodicMtgSelectFields
POST /nexum/627/persistent/parameter/getPeriodicMtgSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllPeriodicMtgFields": true,
    "PeriodicMtgFields": {
      "AmountDueNoteList": true,
      "CollateralCodeList": [
        0
      ],
      "DqNoticeNoteList": true,
      "ExplAmtDueNoteList": true,
      "ForeclosureNoteList": true,
      "LateChargeWarningCode": true,
      "LoanInfoNoteList": true,
      "LoanMsgsNoteList": true,
      "LoanPurposeList": [
        0
      ],
      "LoanTypeList": [
        0
      ],
      "LossMitNoteList": true,
      "PastPmtsNoteList": true,
      "TransActNoteList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updatePeriodicMtgByID⁠

POST

Execute the persistent ParameterService updatePeriodicMtgByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updatePeriodicMtgByID
POST /nexum/627/persistent/parameter/updatePeriodicMtgByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PeriodicMtgFields": {
    "AmountDueNoteList": {
      "Bit": [
        0
      ]
    },
    "CollateralCodeList": [
      {
        "EntryId": 0,
        "CollateralCodeList": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "DqNoticeNoteList": {
      "Bit": [
        0
      ]
    },
    "ExplAmtDueNoteList": {
      "Bit": [
        0
      ]
    },
    "ForeclosureNoteList": {
      "Bit": [
        0
      ]
    },
    "LateChargeWarningCode": 0,
    "LoanInfoNoteList": {
      "Bit": [
        0
      ]
    },
    "LoanMsgsNoteList": {
      "Bit": [
        0
      ]
    },
    "LoanPurposeList": [
      {
        "EntryId": 0,
        "LoanPurposeList": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "LoanTypeList": [
      {
        "EntryId": 0,
        "LoanTypeList": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "LossMitNoteList": {
      "Bit": [
        0
      ]
    },
    "PastPmtsNoteList": {
      "Bit": [
        0
      ]
    },
    "TransActNoteList": {
      "Bit": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}